<?php
 
 function list_v2_render_callback($block, $content = '', $is_preview = false, $post_id = 0) {
    $context = Timber::context();
    $context['block'] = $block;
    $context['is_preview'] = $is_preview;
    $context['list'] = get_field('list');
    Timber::render('modules/blog/editor-blocks/list_v2/editor-block-template.twig', $context);
}


 add_action('acf/init', function(){
    if( function_exists('acf_register_block') ) {
        // register a testimonial block

        acf_register_block(array(
            'name'              => 'gp_list_list_v2',
            'title'             => __('GP - list_v2'),
            'description'       => __('list_v2 block'),
            'render_callback'   => 'list_v2_render_callback',
            'category'          => 'formatting',
            'icon'              => 'admin-comments',
            'keywords'          => array( 'list_v2', 'gp-block',),
            'mode' => 'preview',
            'enqueue_assets'    => function(){
                wp_enqueue_style('gp_util_style', get_template_directory_uri() . '/modules/layout/assets/css/gp-style-core.css', array(), '1.0', 'all');
                wp_enqueue_style('gp_normalize', get_template_directory_uri() . '/modules/layout/assets/css/gp-style-normalize.css', array(), '1.0', 'all');
                wp_enqueue_style('gp_list_v2_style', get_template_directory_uri() . '/modules/blog/editor-blocks/list_v2/assets/css/style.css', array(), '2.0', 'all');
            },
            'supports' => array(
                'align' => true,
                'multiple' => true,
                'jsx' => true,
                '__experimentalInnerBlocks' => true, // Включение поддержки вложенных блоков
            ),
        ));
    }
});




?>